const Constants = require('@/utils/Constants.js');
const util = require('@/utils/util.js')
const mixins = require('@/mixins/index.js')
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
      // 弹出按钮
      buttonList: [{
        name: 'merge',
        title: mixins.$t('add'),//'新建'
      }],
        // 查询条件
        searchContent: [{
          code: 'createtime',
          title: mixins.$t('pastThirthtyDays'),//近30天',
          defaultValue: 5,
          searchType: Constants.searchType.date
        },
  
        {
          code: 'choose',
          title: mixins.$t('choose'),//'筛选',
          searchType: Constants.searchType.pick
        }
      ],
      // 查询条件-筛选
      pullMenuList: [{
        code: 'outStatus',
        pullType: 'mSelect',
        typeName: 'outStatus'
      }, {
        code: 'receiveStatus',
        pullType: 'mSelect',
        typeName: 'receiveStatus'
      }, {
        code: 'followCount',
        dataType: 'number'
      }, {
        code: 'nextFollowTime',
        dataType: 'date'
      }],
        // 列表区（内容）
        contentList: [
          { name: 'trfNo', title: '调整编号' },
          {
            name:  'trfInMacName', title: '转入账户'
          },
          { name: 'accDate', title: '转账日期' },
          {
            name: [{ name: 'orgName', title: '' },
            { name: 'staffName', title: '业务员 ' }], title: '责任信息'
          }],
              // 路由
      routeObjName: 'transfer',
        // 主键Id 
      primaryKey: 'trfId',
          tableData: [{  collectStatus: '11', collectAmount: 1000, }]
  },

 /** 
   * @desc : 查询 入库单
   * @date : 2024年3月8日
   * @author : 王英杰
   */
  getData(params) {
    return this.excute(this.data.service, this.data.service.selectByCond, params);    
  }, 
 
})